# Base Macros which need to be set
%define packageprefix fortune
%define packagebase shlomif
%define archivebase fortunes-shlomif
%define version 0.18.28
%define fortunefilesprefix shlomif-
%define rel 2

# Derived Macros
%define archivewithver %{archivebase}-%{version}
%define archivefull %{archivewithver}.tar.gz

%define fortunedatadir %{_datadir}/games/fortunes

Name: %{packageprefix}-%{packagebase}
Version: %{version}
Release: %mkrel %{rel}
License: CC-BY-SA
Group: Toys

Source: http://www.shlomifish.org/humour/fortunes/%{archivefull}
BuildArch: noarch
Buildroot: %{_tmppath}/%{name}-root
URL: http://www.shlomifish.org/humour/fortunes/
BuildRequires: fortune-mod
Requires: fortune-mod
Summary: Fortune Cookies Collection by Shlomi Fish

%description
This package contains several collections of fortune cookies by Shlomi Fish.
Namely, a collection of his own quotes, some of his favorites from various
sources; a collection of excerpts from the T.V. Show Friends; the Rules of
Open Source Programming, and a collection of reasons why there is no IGLU
cabal.


%prep
%setup -n %{archivewithver} -q
cat <<EOF > README
This is a group of fortune files collected by Shlomi Fish.
EOF

%build

myprefix="%{fortunefilesprefix}"
rm -f *.dat
ls | grep -v "\\." | grep -v "[[:upper:]]" | \
    ( while read T ; do \
        mv "$T" "${myprefix}$T" ; \
        /usr/sbin/strfile "${myprefix}$T" "${myprefix}$T.dat" ; \
        done \
    )

%install

rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{fortunedatadir}
for I in *.dat ; do \
    cp $I "`echo "$I" | sed 's/\.dat$//'`" \
        $RPM_BUILD_ROOT/%{fortunedatadir} ; \
done

%files
%defattr(-,root,root)
%{fortunedatadir}/*
%doc README

%clean
rm -rf $RPM_BUILD_ROOT



%changelog

* Fri Jan 11 2013 umeabot <umeabot> 0.18.28-2.mga3
+ Revision: 350785
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 28 2012 shlomif <shlomif> 0.18.28-1.mga3
+ Revision: 310968
- New version 0.18.28

* Wed Aug 01 2012 shlomif <shlomif> 0.18.5-1.mga3
+ Revision: 277637
- Use mkrel
- Make rpmlint happy
- New version 0.18.5
- imported package fortune-shlomif

